library(tikzDevice)

table <- read.table('../dades/fons_a.txt', sep="\t", dec=',', header=TRUE)
m = mean(table$ImpulsesPerSecond)
m
unc = sd(table$ImpulsesPerSecond)
unc

tikz("fons_fluctuacio.tex", width = 5, height = 4)
plot(table$t, table$ImpulsesPerSecond, pch = 4, xlab = "$t$ (s)", ylim = c(-2.1, 2.1), ylab = "$I$ (\\#/s)")
abline(h = m + unc, col = "red", lty = 2)
abline(h = m - unc, col = "red", lty = 2)
abline(h = m, col = "green", lty = 2)
dev.off()
